﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm.aspx.cs" Inherits="RadSchedulerWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
    <style type="text/css">

        #RadScheduler1 {
        float:left;
        }
         #RadScheduler2 {
        float:right;
        }

        .dragZone .rsApt {
            z-index: 9000 !important;
        }

        .dragZone .rsAptOut {
            position: relative;
            height: 100%;
            width: 100%;
            text-decoration: inherit;
        }

        .dragZone .rsAptMid, .dragZone .rsAptIn, .dragZone .rsAptContent {
            height: 100%;
            border-style: solid;
            border-width: 1px;
            text-decoration: inherit;
            position: absolute;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
        }

        .dragZone .rsAptContent {
            background-image: url(rsAppointmentBg.png);
            background-repeat: repeat-x;
            border-width: 1px 0;
            bottom: -2px;
            left: 1px;
            right: 1px;
            top: -2px;
            padding: 0 0 0 8px;
            overflow: hidden;
        }

        .rsAptDelete {
            display:none;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" />

        <script type="text/javascript">
            var globalFlag = false;

            function OnClientAppointmentMoveStart(sender, args) {
                var $ = $telerik.$;
                var DroppedOnScheduler = $find("RadScheduler2");
                var dragZone = $(".dragZone");
                var clonedElemnet = $(args.get_appointment().get_element()).clone();

                var flag = true;
                $(document)
                    .on("mousemove", function(e) {

                        if (flag) {

                            if ($(e.target).closest(".rsContentTable").length > 0) {
                                clonedElemnet.hide();
                            } else {
                                globalFlag = true;
                                clonedElemnet.show().css("position", "fixed").css("left", e.pageX + 5).css("top", e.pageY + 5);
                            }
                        }
                    })
                    .on("mouseup", function(e) {
                        if (flag) {
                             clonedElemnet.hide().removeAttr("style");
                             if ($(e.target).closest("#" + DroppedOnScheduler.get_id()).length > 0) {
                                 var apt = args.get_appointment();
                                 var timeSlot = DroppedOnScheduler.get_activeModel().getTimeSlotFromDomElement(e.target);
                                 var startTime = timeSlot.get_startTime();
                                 var endTime = new Date(startTime);

                                 var duration = apt.get_durationInMinutes();
                                 endTime.setMinutes(endTime.getMinutes() + parseInt(duration));

                                 var newAppointment = new Telerik.Web.UI.SchedulerAppointment();
                                 newAppointment.set_start(startTime);
                                 newAppointment.set_end(endTime);
                                 newAppointment.set_subject(apt.get_subject());
                                 DroppedOnScheduler.insertAppointment(newAppointment);
                            }

                            console.log("mouseup");
                        }

                        flag = false;
                        $(document).off();
                        dragZone.empty();
                    });

                if (dragZone.find(".rsApt").length == 0) {
                    clonedElemnet.hide();
                    dragZone.append(clonedElemnet);
                }
            }

            function OnClientAppointmentMoving(sender, args) {
                args.set_cancel(globalFlag);
            }

            function OnClientAppointmentMoveEnd(sender, args) {
                args.set_cancel(globalFlag);
            }
        </script>
        <h3>Drag and Drop from Scheduler to Scheduler</h3>
      
        <telerik:RadScheduler runat="server" ID="RadScheduler1" OnClientAppointmentMoveStart="OnClientAppointmentMoveStart"
             Width="700px" OnClientAppointmentMoveEnd="OnClientAppointmentMoveEnd" OnClientAppointmentMoving="OnClientAppointmentMoving">
        </telerik:RadScheduler>
          <telerik:RadScheduler runat="server" ID="RadScheduler2" 
             Width="700px" >
              <AppointmentContextMenuSettings EnableDefault="true" />
        </telerik:RadScheduler>
        <div class="dragZone">
        </div>
    </form>
</body>
</html>
